<?php

namespace App\Providers;

use Illuminate\Auth\Events\Registered;
use Illuminate\Auth\Listeners\SendEmailVerificationNotification;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Event;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        Registered::class => [
            SendEmailVerificationNotification::class,
        ],
        'App\Events\ItemsUpdated' => [
            'App\Listeners\ItemsUpdatedListener',
        ],
        'App\Events\WarehousesUpdated' => [
            'App\Listeners\WarehousesUpdatedListener',
        ],
        'App\Events\transactionUpdated' => [
            'App\Listeners\transactionUpdatedListener',
        ],
    ];

    /**
     * Register any events for your application.
     *
     * @return void
     */
    public function boot()
    {
        Event::listen(
            ItemsUpdated::class,
            [ItemsUpdatedListener::class, 'handle']
        );

        Event::listen(function (ItemsUpdated $event) {
            //
        });
    }
}
